//
//  TableViewController.swift
//  Show-Hide-Picker
//
//  Created by Freddy Montas on 2/12/16.
//  Copyright © 2016 Freddy Montas. All rights reserved.
//

import UIKit

class TableViewController: UITableViewController {

    private var dpShowDateVisible = false
    @IBOutlet private var lblShowDate: UILabel!
    
    @IBOutlet private var dpShowDate: UIDatePicker!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        self.tableView.backgroundColor = UIColor.lightGrayColor()
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
    private func toggleShowDateDatepicker () {
        dpShowDateVisible = !dpShowDateVisible
        
        tableView.beginUpdates()
        tableView.endUpdates()
    }
    

    override func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath) {
            
    
        if indexPath.row == 0 {
            toggleShowDateDatepicker()
        }
            
    
        tableView.deselectRowAtIndexPath(indexPath, animated: true)
}


    
    override func tableView(tableView:UITableView,heightForRowAtIndexPath indexPath: NSIndexPath) -> CGFloat {
        if !dpShowDateVisible && indexPath.row == 1 {
            return 0
        }
        else {
            return super.tableView(tableView, heightForRowAtIndexPath: indexPath)
        }
    }
    
    
    private func dpShowDateChanged () {
        lblShowDate.text = NSDateFormatter.localizedStringFromDate(dpShowDate.date, dateStyle: NSDateFormatterStyle.LongStyle, timeStyle: NSDateFormatterStyle.NoStyle)
    }

    
    
    
    @IBAction private func dpShowDateAction(sender: UIDatePicker) {
        
        dpShowDateChanged()
}
    
    
    
    

    // MARK: - Table view data source

    override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        // #warning Incomplete implementation, return the number of sections
        return 1
    }

    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // #warning Incomplete implementation, return the number of rows
        return 2
    }

    

}
